<?xml version="1.0" encoding="utf-8"?>
<s:TitleWindow xmlns:fx="http://ns.adobe.com/mxml/2009" 
			   xmlns:s="library://ns.adobe.com/flex/spark" 
			   xmlns:mx="library://ns.adobe.com/flex/mx" 
			   xmlns:components="br.com.dclick.components.*"
			   xmlns:visual="br.com.desenv.framework.component.visual.*"
			   creationComplete="titlewindow1_creationCompleteHandler(event)"
			   close="titlewindow1_closeHandler(event)"
			   width="230" 
			   xmlns:component="br.com.desenv.nepalign.view.component.*"
			   xmlns:autoComplete="br.com.desenv.framework.component.visual.autoComplete.*"
			   title="Relatório Lista Movimento Caixas">
	
	<fx:Style source="../../../framework/util/estilo.css"/>

	<fx:Script>
		<![CDATA[
			import flash.net.URLRequest;
			import flash.net.URLVariables;
			
			import mx.collections.ArrayCollection;
			import mx.controls.Alert;
			import mx.core.FlexGlobals;
			import mx.events.CloseEvent;
			import mx.events.FlexEvent;
			import mx.managers.PopUpManager;
			import mx.rpc.events.FaultEvent;
			import mx.rpc.events.ResultEvent;
			import mx.rpc.remoting.mxml.RemoteObject;
			
			import br.com.desenv.framework.util.IgnReportUtil;
			import br.com.desenv.nepalign.vo.Caixa;
			import br.net.upcode.framework.amf.AMFConnector;
			import br.net.upcode.framework.popup.UPCPopUpManager;
			import br.com.desenv.framework.util.DsvObjectUtil;
			import mx.core.FlexGlobals;;
			
			[Bindable]

			private var listaValidadorForm: Array = new Array();
			[Bindable]
			private var listaCaixas:ArrayCollection = new ArrayCollection();
			public static const SELECT_ALL:String = "selectAll";
			
			protected function titlewindow1_creationCompleteHandler(event:FlexEvent):void 
			{
				this.dsvCaixa.setFocus();
				this.dsvPeriodoMovimento.ignTextInputDataFinal.addEventListener(KeyboardEvent.KEY_DOWN,dsvPeriodoResultEvent);
			}
			
			public function dsvPeriodoResultEvent(event:KeyboardEvent):void
			{
				if(event.keyCode == Keyboard.ENTER)
				{
					buttonGerarRelatorio.setFocus();
					button1_clickHandler(new MouseEvent(""));
				}
				
			}

			protected function button1_clickHandler(event:MouseEvent):void {
				
				if(this.validarForm[0] == "OK") {
					var urlReq:URLRequest = new URLRequest(FlexGlobals.topLevelApplication.parametrosSistema.getParametro("URL_SERVLET_RELATORIO"));
					var param:URLVariables = new URLVariables();
					var classe:String  = "br.com.desenv.nepalign.relatorios.RelatorioCaixas"
					var acaoMethod:String = "listaMovimentoCaixas";
					
					param.dataEmissaoInicial = this.dsvPeriodoMovimento.dataInicial;
					param.dataEmissaoFinal = this.dsvPeriodoMovimento.dataFinal;
					param.idCaixa = (this.dsvCaixa.selectedItem as Caixa).id;
					param.classe = classe;
					param.acao = acaoMethod;
					/*urlReq.data = param;
					urlReq.method = "POST";
					navigateToURL(urlReq, "_blank");
					*/
					new IgnReportUtil().gerarRelatorioSeguranca(null, "_blank", param);
				} else {
					Alert.show(this.validarForm[0],this.validarForm[1]);
				}
			}
			
			protected function get validarForm():Array {
	
				var alert:Array = new Array;
				if(dsvPeriodoMovimento.dataInicial == "" || dsvPeriodoMovimento.dataFinal == ""){
					alert.push("Informe o período.");
					alert.push( "AVISO");
					return alert;
				}
				else if(dsvPeriodoMovimento.dataInicialDate > dsvPeriodoMovimento.dataFinalDate)
				{
					alert.push("Data Inicial não pode ser maior que Data Final");
					dsvPeriodoMovimento.ignTextInputDataInicial.text = "";
					dsvPeriodoMovimento.ignTextInputDataInicial.setFocus();
					alert.push("AVISO");
					return alert;
				}
				else
				{
					alert[0] = "OK";
					return alert;
				}
			}
			
			protected function titlewindow1_closeHandler(event:CloseEvent):void {
				UPCPopUpManager.instance.removePopUp(this);
			}
		
			
			protected function dsvCaixa_keyDownHandler(event:KeyboardEvent):void
			{
				if(event.keyCode == Keyboard.ENTER)
				{
					dsvPeriodoMovimento.ignTextInputDataInicial.setFocus();
				}
			}
			
		]]>
	</fx:Script>
	
	<mx:VBox x="10" y="10">
		<mx:Grid>
			<mx:GridRow>
				<mx:GridItem>
					<mx:VBox>
						<s:Label text="Caixa"/>
						<visual:DsvCaixa id="dsvCaixa" width="200" keyDown="dsvCaixa_keyDownHandler(event)" obrigatorio="true"/>
					</mx:VBox>
				</mx:GridItem>
			</mx:GridRow>
		</mx:Grid>
		<mx:Grid> 
			<mx:GridRow>
				<mx:GridItem>
					<s:Spacer/>
				</mx:GridItem>
			</mx:GridRow>
		</mx:Grid>
		<mx:Grid>
			<mx:GridRow>
				<mx:GridItem>
					<visual:DsvPeriodo id="dsvPeriodoMovimento" displayTitle="Periodo do Movimento" />
				</mx:GridItem>
			</mx:GridRow>
		</mx:Grid>
		<mx:Grid>
			<mx:GridRow>
				<mx:GridItem>
					<s:Spacer height="10" />
				</mx:GridItem>
			</mx:GridRow>
			<mx:GridRow>
				<mx:GridItem horizontalAlign="center">
					<s:Button id="buttonGerarRelatorio"  label="Gerar Relatório" click="button1_clickHandler(event)" width="200"/>
				</mx:GridItem>			
			</mx:GridRow>
			<mx:GridRow>
				<mx:GridItem>
					<s:Spacer height="10" />
				</mx:GridItem>
			</mx:GridRow>
		</mx:Grid>
	</mx:VBox>
</s:TitleWindow>
